<?php

if ( ! defined( 'ABSPATH' ) ) {
    die("Direct access not allowed");
    exit; // Exit if accessed directly
}


$DSGVO_Analytic_ID = get_option(DSGVO_Analytic_ID);

$service_active = get_option(DSGVO_Analytic_Service);

// $JS_ID = '';

if(!empty($DSGVO_Analytic_ID) && $DSGVO_Analytic_ID != DSGVO_Analytic_ID_Placeholder){
    $JS_ID  = htmlspecialchars(stripslashes( base64_decode($DSGVO_Analytic_ID)));

}

?>

<script id="plugin-js-preload-constant">
    var __const__author_url = '<?php echo esc_url(DSGVO_Analytic_Author_URI); ?>';
</script>






<div class="fa-content-box hero">

  <div class="row right">
    <div class="fa-logo-wrapper">
      <img src="/wp-content/plugins/fair-analytics/assets/img/fair-analytics-logo-negative.png" alt="">
    </div>
  </div>

    <div class="row center">
      <h1 class="plugin-heading text-center"><?php esc_html_e( 'Privacy friendly Analytics with heatmaps, interaction recordings, user statistics and much more.', 'fair-analytics' ); ?></h1>
    </div>
    <div class="row center">
      <div class="plugin-subheading text-center"><?php esc_html_e( 'Hosted in germany. GDPR compliant.', 'fair-analytics' ); ?></div>
    </div>


</div>



<div>




    <?php
    if (isset($_POST['submit'])) {


      $curl = curl_init();

      curl_setopt_array($curl, [
        CURLOPT_URL => 'https://fairanalytics.app.n8n.cloud/webhook-test/cd61f4d1-d8c1-4333-a034-a7d9e72138ef', //Your n8n webhook URL
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => "name=Hello&email=hello%40gmail.com&password=asdasdasd", //Data you want to send
        CURLOPT_HTTPHEADER => [
          "Content-Type: application/x-www-form-urlencoded"
        ],
      ]);



      $response = curl_exec($curl);
      $err = curl_error($curl);

      curl_close($curl);

      if ($err) {
        echo "cURL Error #:" . $err;
      } else {
        echo $response;
      }

    }
    ?>



</div>

<div class="js-analytic">

  <div class="js-analytic-sidebar-wrapper">

    <div class="js-analytic-sidebar-wrapper-content">


    </div>
  </div>

</div>


<div class="fa-content-box fa-register">

  <div id="dsgvo-analytic-loader-wrapper">
      <div class="loader"></div>
  </div>


  <div class=row>
    <div class="col-5 col border-r col-order-1">
        <div class="headline-top-typo">Step 1</div>
          <h1 class="plugin-heading "><?php esc_html_e('Generate tracking code','fair-analytics'); ?></h1>
          <p><?php esc_html_e('For technical reasons, you must create an account on www.fairanalytics.de so that we can start analyzing your users in a privacy-friendly manner.','fair-analytics'); ?></p>

          <ul>
            <li><?php esc_html_e('Free plan available','fair-analytics'); ?></li>
            <li><?php esc_html_e('GDPR compliant and hosted in germany','fair-analytics'); ?></li>
            <li><?php esc_html_e('Understandable and extensive user statistics','fair-analytics'); ?></li>



          </ul>
          <a href="<?php esc_html_e('https://www.fairanalytics.de/register?redirect=pay/wordpress-plugin','fair-analytics'); ?>" target="_blank"><button><?php esc_html_e('Create account','fair-analytics'); ?></button></a>



      <!-- <div class="registration-register-box">
        <iframe  src="https://my.fairanalytics.de/register" width="100%" height="700" scrolling="no" style="overflow:hidden;"></iframe>
      </div> -->
    </div>



    <div class="col-5 col col-order-2">
    </div>

  </div>
</div>


<div class="fa-content-box">

  <div class="row">


<div class="integration-plugin-wrap">
  <div class="headline-top-typo">Step 2</div>
  <h1 class="plugin-heading "><?php esc_html_e('Insert your tracking code','fair-analytics'); ?></h1>


    <p><?php esc_html_e('Please enter the tracking code for this website here. You can generate the tracking code in your user account on', 'fair-analytics'); ?> <a href="<?php esc_html_e('https://www.fairanalytics.de', 'fair-analytics'); ?>" target="_blank"><?php esc_html_e('www.fairanalytics.de', 'fair-analytics'); ?></a></p>
    <form class="integration-plugin-form">
        <div class="input-group">
           <input type="text" class="form-control" name="analytic-id" placeholder="<?php esc_html_e('Tracking code','fair-analytics'); ?>" value="<?php
            if(isset($JS_ID) && !empty($JS_ID)){
                echo $JS_ID;
            }

            ?>">
           <span class="input-group-btn">
            <button class="button button-primary int-plugin-btn" type="submit"><?php esc_html_e('Save','fair-analytics'); ?></button>
           </span>

               <span class="plugin-save-msg success saved hidden"><?php esc_html_e('Tracking code saved.', 'fair-analytics');?> </span>
               <span class="plugin-save-msg danger hidden"><?php esc_html_e('Please insert the tracking code.', 'fair-analytics');?></span>
               <span class="script-check-msg danger hidden"><?php esc_html_e('This is not a valid tracking code. Please check the tracking code.', 'fair-analytics');?></span>

        </div>
    </form>

    <form action="" class="plugin-service-form">
        <div class="service-form-inner">

          <h2><?php esc_html_e('Activate Fair Analytics','fair-analytics'); ?></h2>

            <label class="plugin-toggle-switch large">
                <input type="checkbox" name="js-service" <?php echo (isset($JS_ID) && !empty(sanitize_text_field($JS_ID)) && $service_active) ? 'checked' :''; ?> />
                <span>
                    <span>OFF</span>
                    <span>ON</span>
                </span>
                <a></a>
            </label>
        </div>
        <div class="plugin-service-alert">
           <?php



           if (isset($JS_ID) && !empty($JS_ID) && $service_active) {

             ?>

             <span class="plugin-activated-msg success activated"> <?php esc_html_e('Analysis activated. The evaluations can be found at', 'fair-analytics'); ?>  <a href="<?php esc_html_e('https://www.fairanalytics.de','fair-analytics'); ?>" target="_blank"><?php esc_html_e('www.fairanalytics.de', 'fair-analytics'); ?></a></span>
             <span class="plugin-deactivated-msg hidden"><?php esc_html_e('Analysis deactivated. No data is collected.', 'fair-analytics'); ?> </span>

             <?php

           }
           else {

             ?>
             <span class="plugin-activated-msg success activated hidden"><?php esc_html_e('Analysis activated. The evaluations can be found at', 'fair-analytics'); ?> <?php esc_html_e('https://www.fairanalytics.de','fair-analytics'); ?></span>
             <span class="plugin-deactivated-msg"><?php esc_html_e('Analysis deactivated. No data is collected.', 'fair-analytics'); ?></span>

             <?php
           }
           ?>

        </div>
    </form>
</div>

</div>
</div>


<div class="fa-content-box">
  <div class="row">
    <div class="col col-10">
      <div class="headline-top-typo">Step 3</div>
      <h1 class="plugin-heading "><?php esc_html_e( 'Understand your users\' behavior, system and language and optimize your website.', 'fair-analytics' ); ?></h1>
    </div>
  </div>


  <div class=row>
    <div class="col col-3">
      <img src="/wp-content/plugins/fair-analytics/assets/img/fairanalytics-dashboard-2.jpg" alt="">
      <h2><?php esc_html_e( 'User statistics', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'On your main dashboard you will find the most important user statistics at a glance: Pageviews, Landing Pages, Exit Pages, Bounce Rate, Referrers, Countries, Operating system, Device, Browser, Screen Resolution, UTMs,Browser Language.', 'fair-analytics' ); ?></p>


    </div>
    <div class="col col-3">
      <img src="/wp-content/plugins/fair-analytics/assets/img/fairanalytics-heatmap.jpg" alt="">
      <h2><?php esc_html_e( 'Heatmaps', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Stop guessing where users click and find out how to improve your product fast. Heatmaps visually show you where users click, move, and scroll on your website. You can compare desktop, tablet, and mobile devices to see the differences in behavior.', 'fair-analytics' ); ?></p>

      <img src="/wp-content/plugins/fair-analytics/assets/img/fairanalytics-session-events-1.jpg" alt="">
      <h2><?php esc_html_e( 'User journey', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Evaluating your visitors behaviour and repeated actions by analyze their past sessions. Including the flow of the visited pages and their actions.', 'fair-analytics' ); ?></p>
    </div>
    <div class="col col-3">
      <img src="/wp-content/plugins/fair-analytics/assets/img/fairanalytics-replays-2.jpg" alt="">
      <h2><?php esc_html_e( 'Interaction recordings (videos)', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Interaction recordings are playbacks of users scrolling, moving and clicking on your site. With interaction recordings you can understand how users behave on your site and where they have problems.', 'fair-analytics' ); ?></p>


      <img src="/wp-content/plugins/fair-analytics/assets/img/fairanalytics-goals-2.jpg" alt="">
      <h2><?php esc_html_e( 'Goal tracking', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'You can track custom events like link clicks, button clicks, form submissions, page visits etc.', 'fair-analytics' ); ?></p>
    </div>
  </div>



  <div class="row">
    <div class="col col-10">
      <h1 class="plugin-heading margin-0"><?php esc_html_e( 'More features.', 'fair-analytics' ); ?></h1>
    </div>
  </div>


  <div class=row>
    <div class="col col-3">
      <h2><?php esc_html_e( 'Realtime analytics', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Curious to see realtime data? You can check and how many users are online, which devices are the most popular and what pages are most accessed.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Server and company in Germany', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'We store the analysis data exclusively on secure German servers. We are a German company with German Corporate Headquarters. As such, we are not covered by the United States Cloud Act and cannot be required to share user data.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Lightweight tracking (optional)', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'You can choose lightweight tracking that uses no cookies, no local storage, and no identifiers for visitors. The lightweight tracking script is less than 6 kB in size.', 'fair-analytics' ); ?></p>


    </div>
    <div class="col col-3">
      <h2><?php esc_html_e( 'API included', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'With our API you can retrieve your stats programmatically. Each request is authenticated with an API key using the Bearer Authentication method.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Export Data to CSV', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Export your analysis data to a CSV file for use in reports.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Login log', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'For security reasons you can see logged activities within your account.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Dark mode', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'We have a beautifull dark mode, check it out.', 'fair-analytics' ); ?></p>


    </div>

    <div class="col col-3">

      <h2><?php esc_html_e( 'Two-Factor Authentication', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Use a mobile authentication app (Autry, Google Authenticator etc.) to get a verification code to enter every time you log in.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Exclude IPs', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'You can specify certain IP addresses that you do not want Fair Analytics to track. This can be helpfull if you don\'t want to track admins and people working on the website.', 'fair-analytics' ); ?></p>

      <h2><?php esc_html_e( 'Do not track', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'By default, we respect the "Do not track" browser setting of your users. However, you can disable it if needed.', 'fair-analytics' ); ?></p>




    </div>
  </div>


</div>

<div class="fa-content-box">

  <div class="row">
    <div class="col-10 col">
      <h1 class="plugin-heading margin-0"><?php esc_html_e( 'FAQ', 'fair-analytics' ); ?></h1>
    </div>
  </div>

  <div class=row>
    <div class="col-6 col">
      <h2><?php esc_html_e( 'Can I use Fair Analytics in a GDPR compliant way?', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Yes. We are a german company with all statistics on secured german servers. We do not store IP addresses. You will receive a Data Processing Agreement (DPA) from us and we adhere to these policies.', 'fair-analytics' ); ?></p>
      <h2><?php esc_html_e( 'Is there a free plan?', 'fair-analytics' ); ?></h2>
      <p><?php esc_html_e( 'Yes, there is a free plan for small websites. You can find our plans here: ', 'fair-analytics' ); ?></p>
      <a href="<?php esc_html_e('https://www.fairanalytics.de/#pricing', 'fair-analytics') ?>" target="_blank"><?php esc_html_e('Plans and pricing', 'fair-analytics') ?></a>

    </div>
  </div>
</div>


<div class="fa-content-box">

  <div class="row">
    <div class="col-7 col">
      <h1 class="plugin-heading "><?php esc_html_e( 'Need support?', 'fair-analytics' ); ?></h1>
      <h2 class="plugin-heading margin-0">
        <a href="<?php esc_html_e('https://www.fairanalytics.de/contact', 'fair-analytics') ?>" target="_blank"><?php esc_html_e('Write us a message', 'fair-analytics') ?></a>
      </h2>
    </div>
    <div class="col-3 col flex-col flex-center-vertical flex-bottom">
      <a href="<?php esc_html_e('https://www.fairanalytics.de/page/company', 'fair-analytics') ?>" target="_blank"><?php esc_html_e('About', 'fair-analytics') ?></a>
      <a href="<?php esc_html_e('https://www.fairanalytics.de/page/imprint', 'fair-analytics') ?>" target="_blank"><?php esc_html_e('Imprint', 'fair-analytics') ?></a>
      <p class="margin-0"><?php esc_html_e( '© 2022 Fair Analytics', 'fair-analytics' ); ?></p>

    </div>
  </div>

</div>


<?php
